/** COMPILATION ISSUES
 * Do not compile with '"strict": true,' because of warning on QuaggaJS Web site...
 */
import * as QUAGGA from 'quagga';

export default async function Extract_barcode_from_photography(): Promise<string> {
    return new Promise(barcode => {
        QUAGGA.default.decodeSingle({ // https://serratus.github.io/quaggaJS/#configobject
            decoder: {
                readers: ["ean_reader"]
            },
            inputStream: {
                name: "Coconut milk",
                type: "ImageStream"
            },
            locate: true, // Default
            numOfWorkers: 0, // Needs to be '0' when used within Node.js...
            src: "./Coconut_milk.jpg"
        }, data => {
            console.info(data.codeResult ? data.codeResult.code : "No barcode found...");
            barcode(data.codeResult ? data.codeResult.code : "No barcode found...");
        });
    });
}

